<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1.6">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/getWifiStatus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/check_wifi_status"
                    android:textAllCaps="false" />

                <Button
                    android:id="@+id/scanWifi"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:layout_weight="1"
                    android:text="@string/distribution_network"
                    android:textAllCaps="false" />

                <EditText
                    android:id="@+id/select_wifi_et"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:layout_weight="1"
                    android:hint="@string/select_wifi_serial_number"
                    android:visibility="gone"
                    android:inputType="number"
                    android:textSize="14dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/getSn"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:text="@string/show_device_did_number"
                    android:textAllCaps="false" />

                <Button
                    android:id="@+id/connectWifi"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="13dp"
                    android:text="@string/initiate_connection"
                    android:visibility="gone"
                    android:textAllCaps="false" />

                <Button
                    android:id="@+id/disconnectWifi"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="9dp"
                    android:text="@string/disconnect"
                    android:textAllCaps="false" />

            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/setedmac"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:text="@string/get_set_mac"
                    android:textAllCaps="false" />

                <Button
                    android:id="@+id/setedpaw"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="9dp"
                    android:text="@string/get_set_password"
                    android:textAllCaps="false" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/getWifiName"
                    android:layout_width="0dp"
                    android:layout_weight="2"
                    android:layout_height="wrap_content"
                    android:text="@string/get_current_connect_wifi_name"
                    android:textAllCaps="false" />


                <Button
                    android:id="@+id/reset"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/setedmac"
                    android:layout_marginStart="9dp"
                    android:text="@string/reset"
                    android:textAllCaps="false" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:weightSum="3"
                android:layout_marginTop="5dp">

                <Button
                    android:id="@+id/btn_select_file"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/setedmac"
                    android:layout_toEndOf="@+id/getWifiName"
                    android:text="@string/select_ota_file"
                    android:textAllCaps="false" />

                <Button
                    android:id="@+id/ota"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/setedmac"
                    android:layout_marginStart="9dp"
                    android:layout_toEndOf="@+id/getWifiName"
                    android:text="@string/start_ota"
                    android:textAllCaps="false" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_path"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                tools:text="@string/ota_file_path_hint" />

            <EditText
                android:id="@+id/et_ip"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:inputType="text"
                android:maxLines="1"
                android:hint="IP or Url"
                android:text="ailink.iot.aicare.net.cn" />

            <EditText
                android:id="@+id/et_port"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:inputType="number"
                android:maxLines="1"
                android:hint="port"
                android:text="80" />

            <EditText
                android:id="@+id/et_path"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:inputType="text"
                android:maxLines="1"
                android:hint="ps:/index/"
                android:text="" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/surroundings"
                    android:layout_width="0dp"
                    android:layout_weight="1.5"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="9dp"
                    android:layout_marginTop="5dp"
                    android:text="@string/switch_environment"
                    android:textAllCaps="false" />

                <Button
                    android:id="@+id/check_ip"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="9dp"
                    android:layout_marginTop="5dp"
                    android:text="@string/view_ip"
                    android:textAllCaps="false" />

                <Button
                    android:id="@+id/check_port"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="9dp"
                    android:layout_marginTop="5dp"
                    android:text="@string/view_port"
                    android:textAllCaps="false" />



            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/check_path"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="9dp"
                    android:layout_marginTop="5dp"
                    android:text="@string/view_path"
                    android:textAllCaps="false" />

            </LinearLayout>

            <RadioGroup
                android:id="@+id/unit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/check_ip"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/kg"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="kg" />

                <RadioButton
                    android:id="@+id/jin"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="斤" />

                <RadioButton
                    android:id="@+id/st_lb"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="st:lb" />

                <RadioButton
                    android:id="@+id/lb"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="lb" />
            </RadioGroup>


        </LinearLayout>


    </ScrollView>


    <ListView
        android:id="@+id/log_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_below="@id/unit"
        android:layout_marginTop="20dp"
        android:layout_weight="1">

    </ListView>
</LinearLayout>